# kate_bitmap Struct Reference

`#include <kate.h>`

## Data Fields
size_t | width
size_t | height
unsigned char | bpp
kate_bitmap_type | type
int | palette
unsigned char * | pixels
size_t | size
int | x_offset
int | y_offset

## Detailed Description

defines a paletted image

## Field Documentation

unsigned char kate_bitmap::bpp

bits per pixel, from 1 to 8, or 0 for a raw PNG bitmap

size_t kate_bitmap::height

height in pixels

Referenced by kate_tracker_remap().

int kate_bitmap::palette

index of the default palette to use

unsigned char* kate_bitmap::pixels

pixels, rows first, one byte per pixel regardless of bpp

Referenced by kate_info_clear().

size_t kate_bitmap::size

for raw bitmaps, number of bytes in pixels

kate_bitmap_type kate_bitmap::type

the type of this bitmap

size_t kate_bitmap::width

width in pixels

Referenced by kate_tracker_remap().

int kate_bitmap::x_offset

the horizontal offset to the logical origin of the bitmap

int kate_bitmap::y_offset

the vertical offset to the logical origin of the bitmap

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h